<template>
	<view>
		<!--components/special/special.wxml-->
		<!-- 专栏 -->
		<template name="homecolumn">
			<view class="mt20 bgfff r10 dflex idxnav" v-if="homecolumnimg.length==3">
				<navigator url="/pages/live/live" open-type="switchTab" hover-class="none" class="zbgm">
					<image :src="homecolumnimg[0] + '?x-oss-process=style/w375'"></image>
				</navigator>
				<view>
					<view class="lqzx" @tap="toCoupon">
						<image :src="homecolumnimg[1] + '?x-oss-process=style/w375'"></image>
					</view>
					<view class="myzx">
						<contact-button :img-url="homecolumnimg[2] + '?x-oss-process=style/w375'"></contact-button>
					</view>
					<!-- <navigator url="/pages/timelyDelivery/index" open-type="navigate" hover-class="none" class="zbgm" wx:if="{{Is_Store_Price_Stock==1}}">
		<image src="{{homecolumnimg[0] + '?x-oss-process=style/w375'}}"></image>
	</navigator> -->
				</view>
			</view>
		</template>
	</view>
</template>

<script>
	// components/special/special.js
	// 专区
	const app = getApp();
	const req = require("../../utils/request.js");

	export default {
		data() {
			return {

			};
		},

		components: {},
		props: {
			homecolumnimg: Array  //首页专区图片
		},
		watch: {},
		methods: {
			getRqeDatas() {
				let that = this; //首页专区

				let homecolumn = this.homeTemplate.filter(it => it.module == this.templateType.module_homecolumn);

				if (homecolumn.length > 0 && homecolumn[0].state == 0) {
					let homecolumnimg = homecolumn[0].contentId.split(",");

					if (homecolumnimg[0] != '' && homecolumnimg[1] != '' && homecolumnimg[2] != '') {
						if (homecolumnimg.length == 3) {
							// console.log(homecolumnimg);
							this.setData({
								homecolumnimg: homecolumnimg
							});
						}
					}
				}
			},

			toCoupon() {
				req.isLogin().then(success => {
					if (success) {
						app.globalData.openPage('product/coupon/coupon');
					}
				});
			}

		}
	};
</script>
<style>
	@import "./homecolumn.css";
</style>
